CREATE TABLE cmk_collab_msg_params] (
    MSG_PARAM_ID                    NUMBER(18, 0)     NOT NULL,
    STORE_OUT_INPUT_FLAG            VARCHAR2(40)  ,
    STORE_OUT_OUTPUT_FLAG           VARCHAR2(40)  ,
    STORE_IN_INPUT_FLAG             VARCHAR2(40)  ,
    STORE_IN_OUTPUT_FLAG            VARCHAR2(40)  ,
    GLOBAL_SENDER_ID                VARCHAR2(256) ,
    GLOBAL_SENDER_ID_TYPE           VARCHAR2(400) ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    MODULE_ID                       VARCHAR2(128) ,
    ELECTRONIC_ORDER_SRC_SYS        VARCHAR2(400) ,
    UCM_DOC_SECURITY_GRP            VARCHAR2(400) ,
    MAX_OUT_ATTACHMENT_SIZE         NUMBER(3, 0)      NOT NULL,
    INVOICE_OUT_PER_THREAD_COUNT    NUMBER(18, 0) ,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ESS_OUT_REP_INTERVAL            NUMBER(5, 0)  ,
    AUTO_REP_TIME_PERIOD            NUMBER(5, 0)  ,
    ESS_OUT_ENABLE_FLAG             VARCHAR2(4)   ,
    DEFAULT_SEARCH_LOCATION         VARCHAR2(400) ,
    MSG_HISTORY_DEFAULT_DUR         NUMBER(5, 0)  ,
    MAX_MSG_PAYLOAD_SIZE            NUMBER(3, 0)  ,
    NUM_LINES_RET_SIN_QUERY         NUMBER(4, 0)  ,
    LARGE_PO_MIN_LINE_COUNT         NUMBER(6, 0)  ,
    LARGE_PO_DEL_RET_DUR            NUMBER(3, 0)  ,
    LARGE_PO_ATTEMPT_RET_INT        NUMBER(3, 0)  ,
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    MULTI_IN_MSGS_WAIT_DUR          NUMBER(3, 0)  ,
    MAX_MSG_IN_PAYLOAD_SIZE         NUMBER(2, 0)  ,
    MIN_INPROCESS_TIME              NUMBER(3, 0)  ,
    IN_DOC_SETUP_REQUIRED           VARCHAR2(4)   ,
    SUPPLIER_LEVEL_ACC_SETUP        VARCHAR2(4)   
);
